Skip to main content
`Ctrl`+`K`

# MatTransColoringApplyDenToSp

Given a symbolic matrix product \(C_{sp} = A*B^T\) for which a `MatTransposeColoring` context has been created and a dense matrix \(C_{den} = A*B^T_{dense}\) in which `B^T_{dens}` is obtained from `MatTransColoringApplySpToDen()`, recover sparse matrix \(C_{sp}\) from \(C_{den}\).

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatTransColoringApplyDenToSp(MatTransposeColoring matcoloring, Mat Cden, Mat Csp)

Collective

## Input Parameters

- matcoloring - coloring context created with `MatTransposeColoringCreate()`

- Cden - matrix product of a sparse matrix and a dense matrix Btdense

## Output Parameter

- Csp - sparse matrix

## Note

These are used internally for some implementations of `MatRARt()`

## See Also

Matrices, `Mat`, `MatTransposeColoringCreate()`, `MatTransposeColoringDestroy()`, `MatTransColoringApplySpToDen()`

## Level

developer

## Location

src/mat/interface/matrix.c

## Implementations

MatTransColoringApplyDenToSp_SeqAIJ() in src/mat/impls/aij/seq/matmatmult.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages